Monitor Vendor Device
The monitor vendor device resource.
Base/monitorVendorDevice
GET
/monitorVendorDeviceList monitor vendor devices
Retrieve a paginated list of monitor vendor devices. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/monitorVendorDevice
curl --request GET \
--url '<your-host>/monitorVendorDevice?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"tankMonitorId": "xyz789",
"provider": "string",
"vendorDeviceId": "xyz789",
"positionSource": "string",
"metadata": "string",
"revision": 0
}
]GET
/monitorVendorDeviceRetrieve a monitor vendor device
Fetch a single monitor vendor device by filtering on `id`.
Query parameters
idstringMatch on the monitor vendor device's `id`, e.g. `eq.{id}`.
GET/monitorVendorDevice
curl --request GET \
--url '<your-host>/monitorVendorDevice?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"tankMonitorId": "xyz789",
"provider": "string",
"vendorDeviceId": "xyz789",
"positionSource": "string",
"metadata": "string",
"revision": 0
}POST
/monitorVendorDeviceCreate a monitor vendor device
Create a new monitor vendor device.
Body parameters
tankMonitorIdstringrequiredproviderstringrequiredvendorDeviceIdstringrequiredcustomerLocationIdstringlatitudenumberlongitudenumberpositionSourcestringrequiredmetadataobjectrequiredrevisionnumberrequiredPOST/monitorVendorDevice
curl --request POST \
--url <your-host>/monitorVendorDevice \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"tankMonitorId":"xyz789","provider":"string","vendorDeviceId":"xyz789","positionSource":"string","metadata":"string","revision":0}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"tankMonitorId": "xyz789",
"provider": "string",
"vendorDeviceId": "xyz789",
"positionSource": "string",
"metadata": "string",
"revision": 0
}PATCH
/monitorVendorDeviceUpdate a monitor vendor device
Update an existing monitor vendor device, matched on `id`.
Body parameters
tankMonitorIdstringrequiredproviderstringrequiredvendorDeviceIdstringrequiredcustomerLocationIdstringlatitudenumberlongitudenumberpositionSourcestringrequiredmetadataobjectrequiredrevisionnumberrequiredPATCH/monitorVendorDevice
curl --request PATCH \
--url '<your-host>/monitorVendorDevice?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"tankMonitorId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"tankMonitorId": "xyz789",
"provider": "string",
"vendorDeviceId": "xyz789",
"positionSource": "string",
"metadata": "string",
"revision": 0
}DELETE
/monitorVendorDeviceDelete a monitor vendor device
Delete a monitor vendor device, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the monitor vendor device to delete, e.g. `eq.{id}`.
DELETE/monitorVendorDevice
curl --request DELETE \
--url '<your-host>/monitorVendorDevice?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content